import request from '@/utils/request'

// 查询结果列表
export function listProblemResult(query) {
  return request({
    url: '/system/problemResult/list',
    method: 'get',
    params: query
  })
}

// 查询结果详细
export function getProblemResult(id) {
  return request({
    url: '/system/problemResult/' + id,
    method: 'get'
  })
}

// 新增结果
export function addProblemResult(data) {
  return request({
    url: '/system/problemResult',
    method: 'post',
    data: data
  })
}

// 修改结果
export function updateProblemResult(data) {
  return request({
    url: '/system/problemResult',
    method: 'put',
    data: data
  })
}

// 删除结果
export function delProblemResult(id) {
  return request({
    url: '/system/problemResult/' + id,
    method: 'delete'
  })
}
